#pragma once
#include "Entity.h"
#include "MenuTextJoystick.h"
#define MENUTEXTSK1_PLAYER1JOYSTICK_CREATENAME L"menutext_player1joystick_sk1"
class MenuTextSk1_Player1Joystick :
    public MenuTextJoystick
{
public:
    InputSetting_Joystick* GetInputSetting() override;
    SDL_GameControllerButtonBind* GetBind(InputSetting_Joystick* setting) override;
    std::weak_ptr<Entity> GetPlayer(void* entityRes) override;
};

std::shared_ptr<Entity> CreateMenuTextSk1_Player1Joystick();